NisusWrtStruct::RecursifData Struct Reference documentation

Classes | Public Member Functions | Public Attributes | List of all members
NisusWrtStruct::RecursifData Struct Reference

Internal: low level a structure helping to read recursifList. More...

`#include <NisusWrtStruct.hxx>`

## Classes
struct | Info
| the zone information More...
struct | Node
| the data data More...

## Public Member Functions
| RecursifData (NisusWrtStruct::ZoneType zone, NisusWrtStruct::VariableType vType=NisusWrtStruct::V_None, int level=0)
| constructor More...
| RecursifData (RecursifData const &orig)
| copy constructor More...
RecursifData & | operator= (RecursifData const &orig)
| copy operator More...
bool | read (NisusWrtParser &parser, MWAWEntry const &entry)
| read the data More...

## Public Attributes
std::shared_ptr< Info > | m_info
| zone information More...
int | m_level
| the node level More...
std::vector< Node > | m_childList
| the list of data entry More...

## Detailed Description

Internal: low level a structure helping to read recursifList.

## Constructor & Destructor Documentation

## ◆ RecursifData() [1/2]

NisusWrtStruct::RecursifData::RecursifData | ( | NisusWrtStruct::ZoneType | zone,
|  | NisusWrtStruct::VariableType | vType = `NisusWrtStruct::V_None`,
|  | int | level = `0`
| ) |  |
| inline

constructor

Referenced by read().

## ◆ RecursifData() [2/2]

NisusWrtStruct::RecursifData::RecursifData | ( | RecursifData const & | orig | ) |
| inline

copy constructor

## Member Function Documentation

## ◆ operator=()

RecursifData& NisusWrtStruct::RecursifData::operator= | ( | RecursifData const & | orig | ) |
| inline

copy operator

## ◆ read()

bool NisusWrtStruct::RecursifData::read | ( | NisusWrtParser & | parser,
|  | MWAWEntry const & | entry
| ) |  |

read the data

Referenced by NisusWrtGraph::createZones(), and NisusWrtParser::createZones().

## Member Data Documentation

## ◆ m_childList

std::vector<Node> NisusWrtStruct::RecursifData::m_childList

the list of data entry

Referenced by operator=(), read(), NisusWrtGraph::readPLDT(), NisusWrtParser::readReference(), NisusWrtParser::readSGP1(), and NisusWrtParser::readVariable().

## ◆ m_info

std::shared_ptr<Info> NisusWrtStruct::RecursifData::m_info

zone information

Referenced by operator=(), read(), NisusWrtGraph::readPLDT(), NisusWrtParser::readReference(), NisusWrtParser::readSGP1(), and NisusWrtParser::readVariable().

## ◆ m_level

int NisusWrtStruct::RecursifData::m_level

the node level

Referenced by operator=(), and read().

The documentation for this struct was generated from the following files:

- NisusWrtStruct.hxx
- NisusWrtStruct.cxx